| dppsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDpPsu_LinkConfig Struct Reference

This typedef contains configuration information about the main link settings. More...

## Data Fields
u8 | LaneCount
| The current lane count of the main link. More...
u8 | LinkRate
| The current link rate of the main link. More...
u8 | ScramblerEn
| Symbol scrambling is currently in use over the main link. More...
u8 | EnhancedFramingMode
| Enhanced frame mode is currently in use over the main link. More...
u8 | DownspreadControl
| Downspread control is currently in use over the main link. More...
u8 | MaxLaneCount
| The maximum lane count of the main link. More...
u8 | MaxLinkRate
| The maximum link rate of the main link. More...
u8 | SupportEnhancedFramingMode
| Enhanced frame mode is supported by the RX device. More...
u8 | SupportDownspreadControl
| Downspread control is supported by the RX device. More...
u8 | VsLevel
| The current voltage swing level for each lane. More...
u8 | PeLevel
| The current pre-emphasis/cursor level for each lane. More...
u8 | Pattern
| The current pattern currently in use over the main link. More...

## Detailed Description

This typedef contains configuration information about the main link settings.

## Field Documentation

u8 XDpPsu_LinkConfig::DownspreadControl

Downspread control is currently in use over the main link.

Referenced by XDpPsu_SetDownspread().

u8 XDpPsu_LinkConfig::EnhancedFramingMode

Enhanced frame mode is currently in use over the main link.

Referenced by XDpPsu_SetEnhancedFrameMode().

u8 XDpPsu_LinkConfig::LaneCount

The current lane count of the main link.

Referenced by DpPsu_StartLink(), XDpPsu_CfgMsaRecalculate(), XDpPsu_EstablishLink(), and XDpPsu_SetLaneCount().

u8 XDpPsu_LinkConfig::LinkRate

The current link rate of the main link.

Referenced by DpPsu_StartLink(), XDpPsu_CfgMsaRecalculate(), XDpPsu_EstablishLink(), and XDpPsu_SetLinkRate().

u8 XDpPsu_LinkConfig::MaxLaneCount

The maximum lane count of the main link.

Referenced by DpPsu_StartLink(), XDpPsu_CfgMainLinkMax(), and XDpPsu_GetRxCapabilities().

u8 XDpPsu_LinkConfig::MaxLinkRate

The maximum link rate of the main link.

Referenced by DpPsu_StartLink(), XDpPsu_CfgMainLinkMax(), and XDpPsu_GetRxCapabilities().

u8 XDpPsu_LinkConfig::Pattern

The current pattern currently in use over the main link.

u8 XDpPsu_LinkConfig::PeLevel

The current pre-emphasis/cursor level for each lane.

Referenced by XDpPsu_SetVswingPreemp().

u8 XDpPsu_LinkConfig::ScramblerEn

Symbol scrambling is currently in use over the main link.

Referenced by XDpPsu_SetScrambler().

u8 XDpPsu_LinkConfig::SupportDownspreadControl

Downspread control is supported by the RX device.

Referenced by XDpPsu_GetRxCapabilities().

u8 XDpPsu_LinkConfig::SupportEnhancedFramingMode

Enhanced frame mode is supported by the RX device.

Referenced by XDpPsu_GetRxCapabilities().

u8 XDpPsu_LinkConfig::VsLevel

The current voltage swing level for each lane.

Referenced by XDpPsu_SetVswingPreemp().